Webhooks
List endpoints
List the calling organization’s webhook endpoints.
GET
/
v1
/
webhooks
/
endpoints
cURL
curl --request GET \
--url https://api.nxos.io/v1/webhooks/endpoints \
--header 'Authorization: <authorization>'import requests
url = "https://api.nxos.io/v1/webhooks/endpoints"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.nxos.io/v1/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "webhook_endpoint",
"id": "ep_a1b2c3d4e5f6a1b2c3d4e5f6",
"url": "https://example.com/webhooks/nxos",
"description": "Production receiver",
"disabled": false,
"eventTypes": [
"transaction.status.updated"
],
"createdAt": "2026-06-08T12:00:00Z",
"updatedAt": "2026-06-08T12:00:00Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"code": "missing_api_key",
"message": "No Authorization header provided.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded: 1000 requests per minute. Retry in 23 seconds.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected server error occurred.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "chain_send_failed",
"message": "On-chain transaction failed.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}Headers
Bearer token. Format: Bearer <api_key>
Response
The request has succeeded.
Paginated list envelope. All list endpoints return this shape.
Object type. Always list for paginated responses.
Available options:
list Array of results.
Show child attributes
Show child attributes
Whether more results are available beyond this page.
Cursor to pass as cursor query parameter for the next page. Null when there are no more results.
⌘I
cURL
